Summary: A database independent API to access databases
Name: ruby-dbi
%define tarname %{name}-all
Version: 0.0.21
Release: 1
License: public domain
Group: Applications/Ruby
Source: http://prdownloads.sourceforge.net/ruby-dbi/%{tarname}-%{version}.tar.gz
URL: http://ruby-dbi.sourceforge.net/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
%define ruby18 %( [ `ruby -r rbconfig -e 'print Config::CONFIG["MAJOR"], ".", Config::CONFIG["MINOR"]'` = '1.8' ] && echo 1 || echo 0 )
%if %{ruby18}
Requires: ruby >= 1.8.0
%else
Requires: ruby >= 1.6.0
%endif

%description
A database independent API to access databases, similar to Perl's DBI.

%prep
%setup -n %{tarname}
eval sitearchdir=`ruby -r rbconfig -e 'p Config::CONFIG["sitearchdir"]'`
eval sitelibdir=`ruby -r rbconfig -e 'p Config::CONFIG["sitelibdir"]'`
ruby setup.rb config --bin-dir=$RPM_BUILD_ROOT%{_bindir} \
		     --rb-dir=$RPM_BUILD_ROOT$sitelibdir \
		     --so-dir=$RPM_BUILD_ROOT$sitearchdir \
		     --with=dbi,dbd_proxy,dbd_mysql,dbd_msql,dbd_interbase,dbd_oracle,dbd_db2,dbd_ado,dbd_pg,dbd_odbc,dbd_sqlrelay

%build
ruby setup.rb setup

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/$archdir
ruby setup.rb install
find $RPM_BUILD_ROOT/usr -type f -print | \
    ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc LICENSE README
%doc -P doc/ examples/ test/
%doc -P lib/dbd_mysql/
%doc -P lib/dbd_pg/
%doc -P lib/dbi/

%changelog
* Tue Sep  9 2003 Ian Macdonald <ian@caliban.org> 0.0.21-1
- 0.0.21

* Fri Jun  6 2003 Ian Macdonald <ian@caliban.org> 0.0.20-1
- 0.0.20

* Sun Apr 27 2003 Ian Macdonald <ian@caliban.org> 0.0.19-1
- 0.0.19

* Tue Oct 22 2002 Ian Macdonald <ian@caliban.org>
- 0.0.18

* Thu Oct  3 2002 Ian Macdonald <ian@caliban.org>
- 0.0.17

* Wed Jul  3 2002 Ian Macdonald <ian@caliban.org>
- 0.0.16

* Tue May 21 2002 Ian Macdonald <ian@caliban.org>
- 0.0.15

* Tue May 14 2002 Ian Macdonald <ian@caliban.org>
- 0.0.14

* Wed Apr 17 2002 Ian Macdonald <ian@caliban.org>
- 0.0.13

* Mon Mar 25 2002 Ian Macdonald <ian@caliban.org>
- updated Source and URL tags

* Mon Mar 18 2002 Ian Macdonald <ian@caliban.org>
- include more documentation from dbd_mysql, dbd_pg and dbi lib directories

* Fri Jan 18 2002 Ian Macdonald <ian@caliban.org>
- 0.0.12
